## UIM Get Card Status request UIM Get Card Status request |

## Functions

QmiMessageUimGetCardStatusOutput * | qmi_message_uim_get_card_status_output_ref ()
void | qmi_message_uim_get_card_status_output_unref ()
gboolean | qmi_message_uim_get_card_status_output_get_card_status ()
gboolean | qmi_message_uim_get_card_status_output_get_result ()
void | qmi_client_uim_get_card_status ()
QmiMessageUimGetCardStatusOutput * | qmi_client_uim_get_card_status_finish ()

## Types and Values

| QmiMessageUimGetCardStatusOutput
| QmiMessageUimGetCardStatusOutputCardStatusCardsElementApplicationsElement
| QmiMessageUimGetCardStatusOutputCardStatusCardsElement

## Object Hierarchy

        GBoxed
        ╰── QmiMessageUimGetCardStatusOutput

## Description

## Functions

### qmi_message_uim_get_card_status_output_ref ()

    QmiMessageUimGetCardStatusOutput *
    qmi_message_uim_get_card_status_output_ref
                                   (QmiMessageUimGetCardStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimGetCardStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.10

### qmi_message_uim_get_card_status_output_unref ()

    void
    qmi_message_uim_get_card_status_output_unref
                                   (QmiMessageUimGetCardStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimGetCardStatusOutput. |

Since: 1.10

### qmi_message_uim_get_card_status_output_get_card_status ()

    gboolean
    qmi_message_uim_get_card_status_output_get_card_status
                                   (QmiMessageUimGetCardStatusOutput *self,
                                    guint16 *value_card_status_index_gw_primary,
                                    guint16 *value_card_status_index_1x_primary,
                                    guint16 *value_card_status_index_gw_secondary,
                                    guint16 *value_card_status_index_1x_secondary,
                                    GArray **value_card_status_cards,
                                    GError **error);

Get the 'Card Status' field from `self` .

#### Parameters

self | a QmiMessageUimGetCardStatusOutput. |
value_card_status_index_gw_primary | a placeholder for the output guint16, or `NULL` if not required. |
value_card_status_index_1x_primary | a placeholder for the output guint16, or `NULL` if not required. |
value_card_status_index_gw_secondary | a placeholder for the output guint16, or `NULL` if not required. |
value_card_status_index_1x_secondary | a placeholder for the output guint16, or `NULL` if not required. |
value_card_status_cards | a placeholder for the output GArray of QmiMessageUimGetCardStatusOutputCardStatusCardsElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_uim_get_card_status_output_get_result ()

    gboolean
    qmi_message_uim_get_card_status_output_get_result
                                   (QmiMessageUimGetCardStatusOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimGetCardStatusOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.10

### qmi_client_uim_get_card_status ()

    void
    qmi_client_uim_get_card_status (QmiClientUim *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Card Status request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_get_card_status_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.10

### qmi_client_uim_get_card_status_finish ()

    QmiMessageUimGetCardStatusOutput *
    qmi_client_uim_get_card_status_finish (QmiClientUim *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_uim_get_card_status()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_get_card_status()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimGetCardStatusOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_get_card_status_output_unref()`.

Since: 1.10

## Types and Values

### QmiMessageUimGetCardStatusOutput

    typedef struct _QmiMessageUimGetCardStatusOutput QmiMessageUimGetCardStatusOutput;

The QmiMessageUimGetCardStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.10

### QmiMessageUimGetCardStatusOutputCardStatusCardsElementApplicationsElement

    typedef struct {
        QmiUimCardApplicationType type;
        QmiUimCardApplicationState state;
        QmiUimCardApplicationPersonalizationState personalization_state;
        QmiUimCardApplicationPersonalizationFeature personalization_feature;
        guint8 personalization_retries;
        guint8 personalization_unblock_retries;
        GArray *application_identifier_value;
        gboolean upin_replaces_pin1;
        QmiUimPinState pin1_state;
        guint8 pin1_retries;
        guint8 puk1_retries;
        QmiUimPinState pin2_state;
        guint8 pin2_retries;
        guint8 puk2_retries;
    } QmiMessageUimGetCardStatusOutputCardStatusCardsElementApplicationsElement;

A QmiMessageUimGetCardStatusOutputCardStatusCardsElementApplicationsElement struct.

#### Members

QmiUimCardApplicationType `type`; | a QmiUimCardApplicationType. |
QmiUimCardApplicationState `state`; | a QmiUimCardApplicationState. |
QmiUimCardApplicationPersonalizationState `personalization_state`; | a QmiUimCardApplicationPersonalizationState. |
QmiUimCardApplicationPersonalizationFeature `personalization_feature`; | a QmiUimCardApplicationPersonalizationFeature. |
guint8 `personalization_retries`; | a guint8. |
guint8 `personalization_unblock_retries`; | a guint8. |
GArray *`application_identifier_value`; | a GArray of guint8 elements. |
gboolean `upin_replaces_pin1`; | a gboolean. |
QmiUimPinState `pin1_state`; | a QmiUimPinState. |
guint8 `pin1_retries`; | a guint8. |
guint8 `puk1_retries`; | a guint8. |
QmiUimPinState `pin2_state`; | a QmiUimPinState. |
guint8 `pin2_retries`; | a guint8. |
guint8 `puk2_retries`; | a guint8. |

Since: 1.10

### QmiMessageUimGetCardStatusOutputCardStatusCardsElement

    typedef struct {
        QmiUimCardState card_state;
        QmiUimPinState upin_state;
        guint8 upin_retries;
        guint8 upuk_retries;
        QmiUimCardError error_code;
        GArray *applications;
    } QmiMessageUimGetCardStatusOutputCardStatusCardsElement;

A QmiMessageUimGetCardStatusOutputCardStatusCardsElement struct.

#### Members

QmiUimCardState `card_state`; | a QmiUimCardState. |
QmiUimPinState `upin_state`; | a QmiUimPinState. |
guint8 `upin_retries`; | a guint8. |
guint8 `upuk_retries`; | a guint8. |
QmiUimCardError `error_code`; | a QmiUimCardError. |
GArray *`applications`; | a GArray of QmiMessageUimGetCardStatusOutputCardStatusCardsElementApplicationsElement elements. |

Since: 1.10